> ## Documentation Index
> Fetch the complete documentation index at: https://docs.kinbox.com.br/llms.txt
> Use this file to discover all available pages before exploring further.

# Update a tag



## OpenAPI

````yaml patch /v1/tags/{id}
openapi: 3.0.0
info:
  title: Kinbox API
  description: Kinbox public API
  version: '2.0'
  contact: {}
servers: []
security: []
tags: []
paths:
  /v1/tags/{id}:
    patch:
      tags:
        - v1Tags
      summary: Update a tag
      operationId: updateTag
      parameters:
        - name: id
          required: true
          in: path
          schema:
            type: number
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdateTagPublicDto'
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TagPublicDto'
components:
  schemas:
    UpdateTagPublicDto:
      type: object
      properties:
        name:
          type: string
          uniqueItems: true
          description: Name must be unique by workspace
        color:
          type: string
        privacy:
          type: object
          properties:
            type:
              type: string
              enum:
                - private
                - public
                - team
                - user
            groupIds:
              type: array
              items:
                type: string
            userId:
              type: string
              nullable: true
    TagPublicDto:
      type: object
      properties:
        id:
          type: string
        name:
          type: string
          uniqueItems: true
          description: Name must be unique by workspace
        color:
          type: string
        privacy:
          type: object
          properties:
            type:
              type: string
              enum:
                - private
                - public
                - team
                - user
            groupIds:
              type: array
              items:
                type: string
            userId:
              type: string
              nullable: true
        authorId:
          type: number
          description: User id that created the tag
      required:
        - id
        - name
        - color
        - privacy

````